-- Set Labels and ID
TITAN_ILT_ID = "IziLifeTap"
TITAN_ILT_MENU_TEXT = "IziLifeTap"
TITAN_ILT_BUTTON_LABEL =  "IziLifeTap";
TITAN_ILT_TOOLTIP = "Switch between IziLifeTap PvP and PvE Mode";
TITAN_ILT_ICONPATH = "Interface\\Icons\\Spell_Shadow_BurningSpirit"
TITAN_AND_ILT_LOADED = nil;


function TitanPanelIziLifeTapButton_OnLoad()
	TITAN_AND_ILT_LOADED = IsILTLoaded();
	if (TITAN_AND_ILT_LOADED == 2) then		-- Only continue if IziLifeTap AND Titan Panel are loaded
		this.registry = { 
			id = TITAN_ILT_ID,
			version = 1.0,
			menuText = TITAN_ILT_MENU_TEXT, 
			buttonTextFunction = "TitanPanelIziLifeTapButton_GetButtonText", 
			tooltipTitle = TITAN_ILT_TOOLTIP,
			tooltipTextFunction = "TitanPanelIziLifeTapButton_GetTooltipText", 
			icon = TITAN_ILT_ICONPATH,
			iconWidth = 16,
			frequency = 0.1,
			category = "Combat",
			savedVariables = {
				ShowIcon = 1,
				ShowLabelText = 1
			}
		};
	elseif (TITAN_AND_ILT_LOADED == 1) then
		function TitanPanelButton_OnLoad() end  --TitanPanelButton_OnLoad not defined if Titan not loaded.
	end
end


function TitanPanelIziLifeTapButton_OnClick(button)
	if (TITAN_AND_ILT_LOADED == 2) then
		if (button == "LeftButton") then
			if iltMode=="PvP" then
				if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap PvE Mode") end
				iltMode="PvE"
			else
				if iltDebug then DEFAULT_CHAT_FRAME:AddMessage("IziLifeTap PvP Mode") end
				iltMode="PvP"
			end
		ilt_UpdateFrame()
		end
	end
end


function TitanPanelIziLifeTapButton_GetButtonText(id)
	if (TITAN_AND_ILT_LOADED == 2) then
		local button, id = TitanUtils_GetButton(id, true);
		local retstr = "";

		-- supports turning off labels
		if (TitanGetVar(TITAN_ILT_ID, "ShowLabelText")) then
			if (iltMode=="PvE") then
				retstr = "PvE";
			else
				retstr = "PvP";
			end
		end
		return retstr
	end
end


-- Get Tooltip Text
-- NB: You can use XML to format the text in the str, eg:
-- \n = New Line
-- \t = Tab space
-- Others may work but I have not tested them yet.

function TitanPanelIziLifeTapButton_GetTooltipText()
	return "Toggle Modes\tLeft-Click"
end


----------------------------------------------------------------------

function TitanILTPrintD(msg)
	DEFAULT_CHAT_FRAME:AddMessage(msg,0.50,0.50,1.00);
end

function IsILTLoaded()	-- Renamed from GetStatus() to prevent possible conflicts with Titan Mod Support Project Core Functions

	local name, title, notes, enabled, loadable, reason, security = GetAddOnInfo("IziLifeTap")
	local _, _, _, titanEnabled, _, _, _ = GetAddOnInfo("Titan")

	-- Dand: Some mod called Bhaldie Infobar actually defines this function. :|
	-- Seems generally better to use the GetAddOnInfo function anyway.
	--if not TitanPanelButton_UpdateButton then	-- If Titan is not running
	if not titanEnabled then	-- If Titan is not running
		if not (enabled == 1) then						-- If IziLifeTap is not running
			TitanILTPrintD("IziLifeTap: IziLifeTap Not Loaded.");	-- Print in the chat channel
			TitanILTPrintD("IziLifeTap: Titan Not Loaded.");		-- for both mods
			return 0;							-- Return 0
		else
			--TitanILTPrintD("IziLifeTap: Titan Not Loaded.");		-- Otherwise just let us know that Titan is not running
			--TitanILTPrintD("IziLifeTap: Titan Plugin Not Available");	-- the plugin will not be available
			--TitanILTPrintD("IziLifeTap: IziLifeTap Loaded OK.");		-- but that IziLifeTap loaded ok,
			return 1;							-- and return 1
		end

	elseif (enabled == 1) then			-- Otherwise Titan is running, so check IziLifeTap
		TitanILTPrintD("IziLifeTap: Titan Loaded OK.");		-- and if its running print in the chat channel
		TitanILTPrintD("IziLifeTap: Titan Plugin Available");		-- for the plugin
		TitanILTPrintD("IziLifeTap: IziLifeTap Loaded OK.");		-- and for both mods
		return 2;							-- return 2
	else						-- otherwise Titan is running but IziLifeTap is not
		TitanILTPrintD("IziLifeTap: IziLifeTapNot Loaded.");		-- so let us know
		return 3;							-- and return 3
	end
end