--[[
******************** VERSION ********************
--]]
IZILIFETAP_VERSION = GetAddOnMetadata("IziLifeTap", "Version")


--[[
******************** Buff Names ********************
--]]
ILT_ARCANE_ELIXIR = Potion_30
ILT_GREATER_ARCANE_ELIXIR = Potion_25
ILT_ELIXIR_OF_SHADOW_POWER = Potion_46
ILT_FLASK_OF_SUPREME_POWER = Potion_41
ILT_MASTER_DEMONOLOGIST = ShadowPact
ILT_DEMONIC_SACRIFICE = PsychicScream


--[[
******************** ENGLISH ********************
--]]
if (GetLocale() == "enUS") then
	--------------- BINDINGS ---------------
	BINDING_HEADER_IZILIFETAP = "IziLifeTap"
	BINDING_NAME_IZILIFETAP = "AutoScaled Life Tap"
	BINDING_NAME_IZILIFETAP_MAX = "Max Rank Life Tap"
	--------------- SPELL ---------------
	ILT_SNAME = "Life Tap"
	ILT_RANK = "Rank"
	ILT_TALENT = "Improved Life Tap"
	--------------- MESSAGES ---------------
	ILT_MSG_RATIO1 = "You won't lose more than 1/"
	ILT_MSG_RATIO2 = " of your life when life tapping"
	ILT_MSG_SPELL1 = "IziLifeTap : forcing spell update"
	ILT_MSG_SPELL2 = "Shadow Spell Power = "
	ILT_MSG_HIDE = "IziLifeTap Frame Hide"
	ILT_MSG_SHOW = "IziLifeTap Frame Show"
	ILT_MSG_LOCK = "IziLifeTap Frame Lock"
	ILT_MSG_UNLOCK = "IziLifeTap Frame Unlock"
	ILT_MSG_PVP = "IziLifeTap PvP Mode"
	ILT_MSG_PVE = "IziLifeTap PvE Mode"
	ILT_MSG_SMALL = "IziLifeTap Small Frame"
	ILT_MSG_LARGE = "IziLifeTap Large Frame"
	ILT_MANA = "Mana Need : "
	--------------- ERROR MESSAGES ---------------
	ILT_ER_BS = "You MUST load BonnusScanner !"
	ILT_ER_NW1 = "*** So you can't use IziLifeTap ***"
	ILT_ER_NW2 = "***** You are not a Warlock ! *****"
	ILT_ER_IMPOSSIBLE = "Unknown Operating Mode"
	ILT_ER_TALENT = "Unable to read talent tree, assuming 0 points in Improved Life Tap"
	--------------- USAGE MESSAGES ---------------
	ILT_USE = "***** IziLifeTap Usage *****"
	ILT_USE_SPELL = "Manual spell update - /ilt spell"
	ILT_USE_VIS = "Show/hide the frame - /ilt show/hide"
	ILT_USE_SIZE = "Large frame version - /ilt large\nSmall frame version - /ilt small"
	ILT_USE_LOCK = "Lock/unlock the frame - /ilt lock/unlock"
	ILT_USE_MODE = "Operating mode - /ilt pvp/pve"
	ILT_USE_RATIO1 = "Define the ratio of maximum life lose - /ilt ratio x"
	ILT_USE_RATIO2 = "(Default is 4 meaning you will lose at most 1/4 of your current hp)"
end


--[[
******************** FRENCH ********************
--]]
if (GetLocale() == "frFR") then
	--------------- BINDINGS ---------------
	BINDING_HEADER_IZILIFETAP = "IziLifeTap"
	BINDING_NAME_IZILIFETAP = "Connexion Auto-ajust\195\169"
	BINDING_NAME_IZILIFETAP_MAX = "Connexion rang maximum"
	--------------- SPELL ---------------
	ILT_SNAME = "Connexion"
	ILT_RANK = "Rang"
	ILT_TALENT = "Connexion am\195\169lior\195\169e"
	--------------- MESSAGES ---------------
	ILT_MSG_RATIO1 = "Vous ne perdrez pas plus d' 1/"
	ILT_MSG_RATIO2 = " de votre votre vie par connexion"
	ILT_MSG_SPELL1 = "IziLifeTap : Mise a jour forc\195\169e de vos d\195\169gats des sorts de l'ombre"
	ILT_MSG_SPELL2 = "d\195\169gats des sorts de l'ombre = "
	ILT_MSG_HIDE = "Fen\195\170tre IziLifeTap Cach\195\169e"
	ILT_MSG_SHOW = "Fen\195\170tre IziLifeTap Affich\195\169e"
	ILT_MSG_LOCK = "Fen\195\170tre IziLifeTap Bloqu\195\169e"
	ILT_MSG_UNLOCK = "Fen\195\170tre IziLifeTap D\195\169bloqu\195\169e"
	ILT_MSG_PVP = "IziLifeTap PvP Mode"
	ILT_MSG_PVE = "IziLifeTap PvE Mode"
	ILT_MSG_SMALL = "IziLifeTap petite fen\195\170tre"
	ILT_MSG_LARGE = "IziLifeTap grosse fen\195\170tre"
	ILT_MANA = "Besoin en Mana : "
	--------------- ERROR MESSAGES ---------------
	ILT_ER_BS = "Vous devez activer BonnusScanner !"
	ILT_ER_NW1 = "*** Donc vous ne pouvez pas utiliser IziLifeTap ***"
	ILT_ER_NW2 = "***** Vous n'\195\170tes pas D\195\169moniste ! *****"
	ILT_ER_IMPOSSIBLE = "Mode de fonctionnement inconnu"
	ILT_ER_TALENT = "Impossible de lire l'arbre de talent, Connexion am\195\169lior\195\169e non prise en compte"
	--------------- USAGE MESSAGES ---------------
	ILT_USE = "***** Utilisation d'IziLifeTap *****"
	ILT_USE_SPELL = "Recalcul forc\195\169 de vos d\195\169gats des sorts de l'ombre - /ilt spell"
	ILT_USE_VIS = "Affiche/Cache la fen\195\170tre - /ilt show/hide"
	ILT_USE_SIZE = "Afficher une grosse fen\195\170tre - /ilt large\nAfficher une petite fen\195\170tre - /ilt small"
	ILT_USE_LOCK = "Bloque/D\195\169bloque la fen\195\170tre - /ilt lock/unlock"
	ILT_USE_MODE = "Mode de fonctionnement - /ilt pvp/pve"
	ILT_USE_RATIO1 = "D\195\169finie le coefficient de perte maximum de vie - /ilt ratio x"
	ILT_USE_RATIO2 = "(Par d\195\169faut vaut 4, voulant dire que vous perdrez au maximum 1/4 de votre vie actuelle)"
end



--[[
******************** German ********************
--]]
if (GetLocale() == "deDE") then
	--------------- BINDINGS ---------------
	BINDING_HEADER_IZILIFETAP = "IziLifeTap"
	BINDING_NAME_IZILIFETAP = "bindet eine Taste fr AutoSkalierten Aderlass"
	BINDING_NAME_IZILIFETAP_MAX = "bindet eine Taste fr den hoechsten Rang von Aderlass (optional)"
	--------------- SPELL ---------------
	ILT_SNAME = "Aderlass"
	ILT_RANK = "Rang"
	ILT_TALENT = "Verbesserter Aderlass"
	--------------- MESSAGES ---------------
	ILT_MSG_RATIO1 = "Du verlierst nie mehr als 1/"
	ILT_MSG_RATIO2 = " deiner Lebenspunkte wenn du Aderlass benutzt"
	ILT_MSG_SPELL1 = "IziLifeTap : erzwungenes Spruch update"
	ILT_MSG_SPELL2 = "Schattenschaden Bonus = "
	ILT_MSG_HIDE = "IziLifeTap Fenster verstecken"
	ILT_MSG_SHOW = "IziLifeTap Fenster anzeigen"
	ILT_MSG_LOCK = "IziLifeTap Fenster fixieren"
	ILT_MSG_UNLOCK = "IziLifeTap Fenster entsperren"
	ILT_MSG_PVP = "IziLifeTap PvP Modus"
	ILT_MSG_PVE = "IziLifeTap PvE Modus"
	ILT_MSG_SMALL = ""
	ILT_MSG_LARGE = ""
	ILT_MANA = "Mana benoetigt : "
	--------------- ERROR MESSAGES ---------------
	ILT_ER_BS = "BonusScanner MUSS geladen werden !"
	ILT_ER_NW1 = "*** also kannst du IziLifeTap nicht benutzen ***"
	ILT_ER_NW2 = "***** Du bist kein Hexenmeister ! *****"
	ILT_ER_IMPOSSIBLE = "Unbekannter Funktions Modus"
	ILT_ER_TALENT = "Talentbaum konnte nicht gelesen werden, es wird von 0 Punkten in Verbesserter Aderlass ausgegangen"
	--------------- USAGE MESSAGES ---------------
	ILT_USE = "***** IziLifeTap benutzung *****"
	ILT_USE_SPELL = "IziLifeTap manuelles Spruch update - /ilt spell"
	ILT_USE_VIS = "Zeigt/Versteckt das IziLifeTap Fenster - /ilt show/hide"
	ILT_USE_SIZE = ""
	ILT_USE_LOCK = "Fixiert/Entsperrt das IziLifeTap Fenster - /ilt lock/unlock"
	ILT_USE_MODE = "IziLifeTap Funktions Modus - /ilt pvp/pve"
	ILT_USE_RATIO1 = "Bestimmt die maximale Menge an Lebensenergie die du verlierst - /ilt ratio x"
	ILT_USE_RATIO2 = "(Vorgegeben ist 4 dass heisst du verlierst maximal 1/4 deiner aktuellen Lebensenergie)"
end